/control/manual /control
Command directory path : /control/


Guidance :
UI control commands.

 Sub-directories : 
 Commands : 
   execute * Execute a macro file.
   loop * Execute a macro file more than once.
   foreach * Execute a macro file more than once.
   suppressAbortion * Suppress the program abortion caused by G4Exception.
   verbose * Applied command will also be shown on screen.
   saveHistory * Store command history to a file.
   stopSavingHistory * Stop saving history file.
   alias * Set an alias.
   unalias * Remove an alias.
   listAlias * List aliases.
   shell * Execute a (Unix) SHELL command.
   manual * Display all of sub-directories and commands.
   createHTML * Generate HTML files for all of sub-directories and commands.
   maximumStoredHistory * Set maximum number of stored UI commands.


Command /control/execute
Guidance :
Execute a macro file.

Parameter : fileName
 Parameter type  : s
 Omittable       : False



Command /control/loop
Guidance :
Execute a macro file more than once.
Loop counter can be used as an aliased variable.

Parameter : macroFile
 Parameter type  : s
 Omittable       : False

Parameter : counterName
 Parameter type  : s
 Omittable       : False

Parameter : initialValue
 Parameter type  : d
 Omittable       : False

Parameter : finalValue
 Parameter type  : d
 Omittable       : False

Parameter : stepSize
 Parameter type  : d
 Omittable       : True
 Default value   : 1



Command /control/foreach
Guidance :
Execute a macro file more than once.
Loop counter can be used as an aliased variable.
Values must be separated by a space.

Parameter : macroFile
 Parameter type  : s
 Omittable       : False

Parameter : counterName
 Parameter type  : s
 Omittable       : False

Parameter : valueList
 Parameter type  : s
 Omittable       : False



Command /control/suppressAbortion
Guidance :
Suppress the program abortion caused by G4Exception.
Suppression level = 0 : no suppression
                  = 1 : suppress during EventProc state
                  = 2 : full suppression, i.e. no abortion by G4Exception
When abortion is suppressed, you will get error messages issued by G4Exception,
and there is NO guarantee for the correct result after the G4Exception error message.
 Range of parameters : level >= 0 && level <= 2

Parameter : level
 Parameter type  : i
 Omittable       : True
 Default value   : 0



Command /control/verbose
Guidance :
Applied command will also be shown on screen.
This command is useful with MACRO file.
  0 : silent
  1 : only the valid commands are shown.
  2 : comment lines are also shown (default).
 Range of parameters : switch >= 0 && switch <=2

Parameter : switch
 Parameter type  : i
 Omittable       : True
 Default value   : 2



Command /control/saveHistory
Guidance :
Store command history to a file.
Defaul file name is G4history.macro.

Parameter : fileName
 Parameter type  : s
 Omittable       : True
 Default value   : G4History.macro



Command /control/stopSavingHistory
Guidance :
Stop saving history file.



Command /control/alias
Guidance :
Set an alias.
String can be aliased by this command.
The string may contain one or more spaces,
the string must be enclosed by double quotes (").
To use an alias, enclose the alias name with
parenthis "{" and "}".

Parameter : aliasName
 Parameter type  : s
 Omittable       : False

Parameter : aliasValue
 Parameter type  : s
 Omittable       : False



Command /control/unalias
Guidance :
Remove an alias.

Parameter : aliasName
 Parameter type  : s
 Omittable       : False



Command /control/listAlias
Guidance :
List aliases.



Command /control/shell
Guidance :
Execute a (Unix) SHELL command.

Parameter : 
 Parameter type  : s
 Omittable       : False



Command /control/manual
Guidance :
Display all of sub-directories and commands.
Directory path should be given by FULL-PATH.

Parameter : dirPath
 Parameter type  : s
 Omittable       : True
 Default value   : /



Command /control/createHTML
Guidance :
Generate HTML files for all of sub-directories and commands.
Directory path should be given by FULL-PATH.

Parameter : dirPath
 Parameter type  : s
 Omittable       : True
 Default value   : /



Command /control/maximumStoredHistory
Guidance :
Set maximum number of stored UI commands.

Parameter : max
 Parameter type  : i
 Omittable       : True
 Default value   : 20

